Skip to content

List Collections

Retrieves all collections defined in a project.

GET /api/{projectId}/collections

Request

Terminal window
curl https://your-domain.com/api/{projectId}/collections \
-H "Authorization: Bearer YOUR_API_TOKEN"

Response

{
"data": [
{
"uuid": "coll-uuid",
"name": "Posts",
"slug": "posts",
"description": "Blog articles",
"is_singleton": false,
"fields": [
{ "name": "Title", "slug": "title", "type": "text", "required": true },
{ "name": "Body", "slug": "body", "type": "richtext", "required": false },
{ "name": "Featured Image", "slug": "featured_image", "type": "media", "required": false }
]
}
]
}

Field types

TypeDescription
textShort text
longtextMulti-line text
richtextHTML rich text
slugURL-safe string
emailEmail address
numberInteger or decimal
booleanTrue/false
date / datetimeDate or date+time
mediaReference to a media asset
relationReference to another collection’s entry
enumerationOne value from a predefined list
jsonRaw JSON object